List a contact's group memberships

Returns the contact groups a contact belongs to, most recently joined first. Pass `nextCursor` back as `cursor` for the next page; it is null on the last page.

GET
/v1/contacts/{id}/groups

Returns the contact groups a contact belongs to, most recently joined first. Pass nextCursor back as cursor for the next page; it is null on the last page.

Authorization

apiKey
headerx-api-key<token>

Path Parameters

id*string
Match^contact_[0-9a-hjkmnp-tv-z]{16,24}$

Query Parameters

limit?|null
cursor?string

Response Body

ContactGroupMembershipPage

application/json
  1. response
items*array<>
nextCursor*string|null
Example Request
import { createClient } from "samva";const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });const result = await samva.contacts.getGroupMemberships({  "id": "example"});
Example Response
{  "items": [    {      "id": "string",      "name": "string",      "type": "string",      "color": "clay",      "role": "string",      "joinedAt": "string"    }  ],  "nextCursor": "string"}

Related documentation